## python-semantic-release 7.32.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-semantic-release.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-semantic-release.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-semantic-release"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-semantic-release"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage

=== debian/changelog ===
python-semantic-release (7.32.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 23 Oct 2022 13:50:02 +0100

python-semantic-release (7.32.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0004-fix-spelling-mistake.patch, applied upstream.

 -- Edward Betts <edward@4angle.com>  Fri, 07 Oct 2022 17:11:55 +0100

python-semantic-release (7.32.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 03 Oct 2022 08:10:41 +0100

python-semantic-release (7.32.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1021084)

 -- Edward Betts <edward@4angle.com>  Sun, 02 Oct 2022 15:40:58 +0100

=== debian/control ===
Source: python-semantic-release
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3-all,
               python3-click <!nocheck>,
               python3-click-log <!nocheck>,
               python3-dotty-dict <!nocheck>,
               python3-git <!nocheck>,
               python3-gitlab <!nocheck>,
               python3-invoke <!nocheck>,
               python3-mock <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-requests <!nocheck>,
               python3-responses <!nocheck>,
               python3-semver <!nocheck>,
               python3-setuptools,
               python3-sphinx,
               python3-tomlkit <!nocheck>,
               twine <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/relekang/python-semantic-release
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-semantic-release
Vcs-Git: https://salsa.debian.org/python-team/packages/python-semantic-release.git

Package: python3-semantic-release
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Automatic Semantic Versioning for Python projects
 Python implementation of 'semantic-release' for JS by Stephan Bönnemann.
 .
 The idea is to be able to detect what the next version of the project should
 be based on the commits. This tool will use that to automate the release,
 upload to an artifact repository and post changelogs to GitHub.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=semantic-release
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-x -k "not test_vcs_helpers.py and not test_current_release_version_should_return_correct_version and not test_cli and not test_config and not test_current_version_should_return_correct_version"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=.. make man; PYTHONPATH=.. LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml . _build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/api/ docs/_build/ python_semantic_release.egg-info/

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(eval BUILD_DIR=$(shell pybuild --print '{build_dir}'))
	for dir in $(BUILD_DIR); do \
		cp -r tests $$dir ; \
	done
	dh_auto_test
	for dir in $(BUILD_DIR); do \
		rm -r $$dir/tests ; \
	done
endif

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all,
         python3-mock,
         python3-pytest,
         python3-pytest-mock,
         python3-responses,
         @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-semantic-release-$1\.tar\.gz/ \
  https://github.com/relekang/python-semantic-release/tags .*/v?(\d\S+)\.tar\.gz

## python-semantic-release 9.8.5

=== debian/changelog ===
python-semantic-release (9.8.5-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 8.7.2 (Closes: #1056503, #1058357)
  * Standards-Version: 4.7.0 (routine-update)
  * Refresh patches
  * Remove old dep on python3-mock
  * Add new build dependencies:
    * git
    * pybuild-plugin-pyproject
    * python3-click-option-group
    * python3-importlib-resources
    * python3-pytest-lazy-fixture
    * python3-requests-mock
    * python3-shellingham
    * python3-sphinxcontrib.apidoc

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Versioned Build-Depends: python3-pydantic (>= 1.10.14)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 18 Jul 2024 22:09:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,34 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-sphinxdoc,
+               git <!nocheck>,
+               furo <!nodoc>,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-click <!nocheck>,
                python3-click-log <!nocheck>,
+               python3-click-option-group <!nocheck>,
                python3-dotty-dict <!nocheck>,
                python3-git <!nocheck>,
                python3-gitlab <!nocheck>,
+               python3-importlib-resources <!nocheck>,
                python3-invoke <!nocheck>,
-               python3-mock <!nocheck>,
+               python3-pydantic (>= 1.10.14),
                python3-pytest <!nocheck>,
+               python3-pytest-lazy-fixtures <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-requests <!nocheck>,
+               python3-requests-mock <!nocheck>,
                python3-responses <!nocheck>,
                python3-semver <!nocheck>,
                python3-setuptools,
-               python3-sphinx,
+               python3-shellingham <!nocheck>,
+               python3-sphinx <!nodoc>,
+               python3-sphinxcontrib.apidoc <!nodoc>,
                python3-tomlkit <!nocheck>,
                twine <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/relekang/python-semantic-release
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-semantic-release
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-semantic-release.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=semantic-release
export PYBUILD_TEST_PYTEST=1
export PYBUILD_BEFORE_TEST=cd {build_dir}; git -c init.defaultBranch=master init
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.git/

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=.. make man; PYTHONPATH=.. LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml . _build/html

execute_after_dh_auto_install:
	mv -v debian/python3-semantic-release/usr/bin/semantic-release debian/python3-semantic-release/usr/bin/python-semantic-release

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(eval BUILD_DIR=$(shell pybuild --print '{build_dir}'))
	for dir in $(BUILD_DIR); do \
		cp -r tests $$dir ; \
	done
	dh_auto_test
	for dir in $(BUILD_DIR); do \
		rm -r $$dir/tests ; \
	done
endif

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all,
         python3-pytest,
         python3-pytest-mock,
         python3-responses,
         git,
         python3-click,
         python3-click-log,
         python3-click-option-group,
         python3-dotty-dict,
         python3-git,
         python3-gitlab,
         python3-importlib-resources,
         python3-invoke,
         python3-pydantic,
         python3-pytest-lazy-fixtures,
         python3-requests,
         python3-requests-mock,
         python3-semver,
         python3-shellingham,
         python3-tomlkit,
         twine,
         @

## python-semantic-release 9.8.7

=== debian/changelog ===
python-semantic-release (9.8.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0004_lazy-fixtures.patch, applied upstream.
  * Move packages required for tests and docs to Build-Depends-Indep.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sun, 01 Sep 2024 09:34:13 +0100

python-semantic-release (9.8.5-2) unstable; urgency=medium

  * Team upload.
  * Bump minimum python3-pydantic version to 2.0 to match pyproject.toml.

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Aug 2024 18:42:03 +0100

=== debian/control ===
Source: python-semantic-release
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 furo <!nodoc>,
 git <!nocheck>,
 python3-click <!nocheck>,
 python3-click-log <!nocheck>,
 python3-click-option-group <!nocheck>,
 python3-dotty-dict <!nocheck>,
 python3-git <!nocheck>,
 python3-gitlab <!nocheck>,
 python3-importlib-resources <!nocheck>,
 python3-invoke <!nocheck>,
 python3-pydantic (>= 2.0),
 python3-pytest <!nocheck>,
 python3-pytest-lazy-fixtures <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-requests <!nocheck>,
 python3-requests-mock <!nocheck>,
 python3-responses <!nocheck>,
 python3-semver <!nocheck>,
 python3-shellingham <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-tomlkit <!nocheck>,
 twine <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/relekang/python-semantic-release
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-semantic-release
Vcs-Git: https://salsa.debian.org/python-team/packages/python-semantic-release.git

Package: python3-semantic-release
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Automatic Semantic Versioning for Python projects
 Python implementation of 'semantic-release' for JS by Stephan Bönnemann.
 .
 The idea is to be able to detect what the next version of the project should
 be based on the commits. This tool will use that to automate the release,
 upload to an artifact repository and post changelogs to GitHub.

## python-semantic-release 9.12.0

=== debian/changelog ===
python-semantic-release (9.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 04 Nov 2024 15:44:28 +0000

=== debian/control ===
--- 
+++ 
@@ -34,6 +34,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinxcontrib.apidoc <!nodoc>,
  python3-tomlkit <!nocheck>,
+ python3-yaml <!nocheck>,
  twine <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export PYBUILD_NAME=semantic-release
 export PYBUILD_TEST_PYTEST=1
+export PYBUILD_TEST_ARGS=-o addopts=
 export PYBUILD_BEFORE_TEST=cd {build_dir}; git -c init.defaultBranch=master init
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.git/

=== debian/tests/control ===
Tests: run-tests
Depends:
 git,
 python3-all,
 python3-click,
 python3-click-log,
 python3-click-option-group,
 python3-dotty-dict,
 python3-git,
 python3-gitlab,
 python3-importlib-resources,
 python3-invoke,
 python3-pydantic,
 python3-pytest,
 python3-pytest-lazy-fixtures,
 python3-pytest-mock,
 python3-requests,
 python3-requests-mock,
 python3-responses,
 python3-semver,
 python3-shellingham,
 python3-tomlkit,
 twine,
 @,

## python-semantic-release 9.15.2

=== debian/changelog ===
python-semantic-release (9.15.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Dec 2024 13:16:04 +0000

python-semantic-release (9.15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Remove unnecessary dh_auto_test override.
  * Simplify dh_auto_build override slightly.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Dec 2024 23:22:06 +0000

python-semantic-release (9.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Nov 2024 10:25:29 +0000

python-semantic-release (9.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Nov 2024 21:54:18 +0000

python-semantic-release (9.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Nov 2024 18:21:03 +0000

=== debian/control ===
--- 
+++ 
@@ -18,14 +18,20 @@
  python3-click-log <!nocheck>,
  python3-click-option-group <!nocheck>,
  python3-dotty-dict <!nocheck>,
+ python3-filelock <!nocheck>,
+ python3-flatdict <!nocheck>,
+ python3-freezegun <!nocheck>,
  python3-git <!nocheck>,
  python3-gitlab <!nocheck>,
  python3-importlib-resources <!nocheck>,
  python3-invoke <!nocheck>,
  python3-pydantic (>= 2.0),
  python3-pytest <!nocheck>,
+ python3-pytest-env <!nocheck>,
  python3-pytest-lazy-fixtures <!nocheck>,
  python3-pytest-mock <!nocheck>,
+ python3-pytest-order <!nocheck>,
+ python3-pytest-xdist <!nocheck>,
  python3-requests <!nocheck>,
  python3-requests-mock <!nocheck>,
  python3-responses <!nocheck>,
@@ -41,6 +47,7 @@
 Homepage: https://github.com/relekang/python-semantic-release
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-semantic-release
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-semantic-release.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-semantic-release
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=semantic-release
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-o addopts=
export PYBUILD_BEFORE_TEST=cd {build_dir}; git -c init.defaultBranch=master init
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.git/

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs; PYTHONPATH=../src make man; PYTHONPATH=../src LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml . _build/html

execute_after_dh_auto_install:
	mv -v debian/python3-semantic-release/usr/bin/semantic-release debian/python3-semantic-release/usr/bin/python-semantic-release

## python-semantic-release 9.17.0

=== debian/changelog ===
python-semantic-release (9.17.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Feb 2025 16:16:44 +0000

## python-semantic-release 9.19.0

=== debian/changelog ===
python-semantic-release (9.19.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Feb 2025 16:21:04 +0000

## python-semantic-release 9.21.0

=== debian/changelog ===
python-semantic-release (9.21.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Update Standards-Version.
  * Add build dependency for python3-deprecated.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Wed, 26 Feb 2025 06:12:27 -0500

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
  python3-click <!nocheck>,
  python3-click-log <!nocheck>,
  python3-click-option-group <!nocheck>,
+ python3-deprecated <!nodoc>,
  python3-dotty-dict <!nocheck>,
  python3-filelock <!nocheck>,
  python3-flatdict <!nocheck>,
@@ -43,7 +44,7 @@
  python3-yaml <!nocheck>,
  twine <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/relekang/python-semantic-release
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-semantic-release
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-semantic-release.git

## python-semantic-release 9.21.1

=== debian/changelog ===
python-semantic-release (9.21.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sun, 11 May 2025 23:10:18 +0300

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
  python3-yaml <!nocheck>,
  twine <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/relekang/python-semantic-release
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-semantic-release
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-semantic-release.git

## python-semantic-release 10.3.1

=== src/gh_action/requirements.txt ===
python-semantic-release == 10.3.1

=== debian/changelog ===
python-semantic-release (10.3.1-2) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-importlib-resources backport

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Aug 2025 09:54:18 +0200

python-semantic-release (10.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Aug 2025 15:24:07 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  python3-freezegun <!nocheck>,
  python3-git <!nocheck>,
  python3-gitlab <!nocheck>,
- python3-importlib-resources <!nocheck>,
  python3-invoke <!nocheck>,
  python3-pydantic (>= 2.0),
  python3-pytest <!nocheck>,
@@ -43,7 +42,6 @@
  python3-tomlkit <!nocheck>,
  python3-yaml <!nocheck>,
  twine <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/relekang/python-semantic-release
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-semantic-release

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 
-export PYBUILD_NAME=semantic-release
-export PYBUILD_TEST_PYTEST=1
 export PYBUILD_TEST_ARGS=-o addopts=
 export PYBUILD_BEFORE_TEST=cd {build_dir}; git -c init.defaultBranch=master init
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.git/

## python-semantic-release 10.4.1

=== docs/Makefile ===
--- 
+++ 
@@ -178,3 +178,6 @@
 
 coverage:
 	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
+
+livehtml:
+	sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== src/gh_action/requirements.txt ===
python-semantic-release == 10.4.1

=== debian/changelog ===
python-semantic-release (10.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix profiles of several build-dependencies (closes: #1116881).
  * Don't run sphinx-build in the nodoc build profile.
  * Override several false positives from Lintian.

 -- Colin Watson <cjwatson@debian.org>  Wed, 01 Oct 2025 13:07:42 +0100

=== debian/control ===
--- 
+++ 
@@ -14,17 +14,18 @@
 Build-Depends-Indep:
  furo <!nodoc>,
  git <!nocheck>,
- python3-click <!nocheck>,
+ python3-click <!nocheck> <!nodoc>,
  python3-click-log <!nocheck>,
- python3-click-option-group <!nocheck>,
- python3-deprecated <!nodoc>,
- python3-dotty-dict <!nocheck>,
+ python3-click-option-group <!nocheck> <!nodoc>,
+ python3-deprecated <!nocheck> <!nodoc>,
+ python3-dotty-dict <!nocheck> <!nodoc>,
  python3-filelock <!nocheck>,
  python3-flatdict <!nocheck>,
  python3-freezegun <!nocheck>,
- python3-git <!nocheck>,
- python3-gitlab <!nocheck>,
+ python3-git <!nocheck> <!nodoc>,
+ python3-gitlab <!nocheck> <!nodoc>,
  python3-invoke <!nocheck>,
+ python3-jinja2 <!nocheck>,
  python3-pydantic (>= 2.0),
  python3-pytest <!nocheck>,
  python3-pytest-env <!nocheck>,
@@ -35,11 +36,12 @@
  python3-requests <!nocheck>,
  python3-requests-mock <!nocheck>,
  python3-responses <!nocheck>,
+ python3-rich <!nocheck> <!nodoc>,
  python3-semver <!nocheck>,
- python3-shellingham <!nocheck>,
+ python3-shellingham <!nocheck> <!nodoc>,
  python3-sphinx <!nodoc>,
  python3-sphinxcontrib.apidoc <!nodoc>,
- python3-tomlkit <!nocheck>,
+ python3-tomlkit <!nocheck> <!nodoc>,
  python3-yaml <!nocheck>,
  twine <!nocheck>,
 Standards-Version: 4.7.2

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,10 @@
 %:
 	dh $@ --buildsystem=pybuild
 
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 execute_after_dh_auto_build:
 	cd docs; PYTHONPATH=../src make man; PYTHONPATH=../src LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml . _build/html
+endif
 
 execute_after_dh_auto_install:
 	mv -v debian/python3-semantic-release/usr/bin/semantic-release debian/python3-semantic-release/usr/bin/python-semantic-release

=== debian/watch ===
version=4
https://github.com/relekang/python-semantic-release/tags .*/v?(\d\S+)\.tar\.gz

## python-semantic-release 10.5.3

=== src/gh_action/requirements.txt ===
python-semantic-release == 10.5.3

=== debian/changelog ===
python-semantic-release (10.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh importlib-resources patch.
  * Skip failing tests.
  * Remove gh_action dir created by tests.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 17 Dec 2025 09:58:51 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -44,7 +43,7 @@
  python3-tomlkit <!nocheck> <!nodoc>,
  python3-yaml <!nocheck>,
  twine <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/relekang/python-semantic-release
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-semantic-release
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-semantic-release.git

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
-export PYBUILD_TEST_ARGS=-o addopts=
+export PYBUILD_TEST_ARGS=--ignore=tests/unit/semantic_release/hvcs/test_gitlab.py -k "not test_parser_return_linked_issues_from_commit_message and not test_entrypoint_scripts" -o addopts=
 export PYBUILD_BEFORE_TEST=cd {build_dir}; git -c init.defaultBranch=master init
-export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.git/
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.git/ {build_dir}/gh_action
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: Github
Owner: relekang
Project: python-semantic-release
